Confluence

List recent Confluence sync runs

GET
/integrations/confluence/sync-runs

Authorization

SupabaseBearer
AuthorizationBearer <token>

Supabase user access token (Authorization: Bearer JWT)

In: header

Header Parameters

x-organization-id*string

Must match the organizationId path segment

Formatuuid
x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/integrations/confluence/sync-runs" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "x-organization-role: ORG_ADMIN"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organizationId": "string",      "syncType": "full",      "status": "running",      "pagesProcessed": 0,      "pagesSkipped": 0,      "pagesFailed": 0,      "errorMessage": "string",      "startedAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z"    }  ]}
Empty
{  "message": "string"}
{  "message": "string"}